ammt was removed in Amanda-2.6.0, as it's no longer meaningful with the new Device API. I'm not sure why debian is still suggesting that you install Amanda.